Remediations - List Deployments At Resource
Gets all deployments for a remediation at resource scope.
POST https://management.azure.com/{resourceId}/providers/Microsoft.PolicyInsights/remediations/{remediationName}/listDeployments?api-version=2024-10-01
POST https://management.azure.com/{resourceId}/providers/Microsoft.PolicyInsights/remediations/{remediationName}/listDeployments?api-version=2024-10-01&$top={$top}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
remediation
|
path | True |
string |
The name of the remediation. |
|
resource
|
path | True |
string |
Resource ID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
$top
|
query |
integer (int32) minimum: 0 |
Maximum number of records to return. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
List deployments for a remediation at individual resource scope
Sample request
POST https://management.azure.com/subscriptions/35ee058e-5fa0-414c-8145-3ebb8d09b6e2/resourcegroups/myResourceGroup/providers/microsoft.storage/storageaccounts/storAc1/providers/Microsoft.PolicyInsights/remediations/myRemediation/listDeployments?api-version=2024-10-01
Sample response
{
"value": [
{
"createdOn": "2018-09-13T21:51:09.075918Z",
"deploymentId": "/subscriptions/35ee058e-5fa0-414c-8145-3ebb8d09b6e2/resourcegroups/myResourceGroup/providers/microsoft.resources/deployments/a088e8fd-8600-4126-8d74-fc7ead0e9ae4",
"lastUpdatedOn": "2018-09-13T21:52:09.8919106Z",
"remediatedResourceId": "/subscriptions/35ee058e-5fa0-414c-8145-3ebb8d09b6e2/resourcegroups/myResourceGroup/providers/microsoft.storage/storageaccounts/storAc1",
"resourceLocation": "eastus",
"status": "Succeeded"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Error |
Error definition. |
|
Error |
Error response. |
|
Remediation |
Details of a single deployment created by the remediation. |
|
Remediation |
List of deployments for a remediation. |
|
Typed |
Scenario specific error details. |
ErrorDefinition
Error definition.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
Additional scenario specific error details. |
|
| code |
string |
Service specific error code which serves as the substatus for the HTTP error code. |
| details |
Internal error details. |
|
| message |
string |
Description of the error. |
| target |
string |
The target of the error. |
ErrorResponse
Error response.
| Name | Type | Description |
|---|---|---|
| error |
The error details. |
RemediationDeployment
Details of a single deployment created by the remediation.
| Name | Type | Description |
|---|---|---|
| createdOn |
string (date-time) |
The time at which the remediation was created. |
| deploymentId |
string |
Resource ID of the template deployment that will remediate the resource. |
| error |
Error encountered while remediated the resource. |
|
| lastUpdatedOn |
string (date-time) |
The time at which the remediation deployment was last updated. |
| remediatedResourceId |
string |
Resource ID of the resource that is being remediated by the deployment. |
| resourceLocation |
string |
Location of the resource that is being remediated. |
| status |
string |
Status of the remediation deployment. |
RemediationDeploymentsListResult
List of deployments for a remediation.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The RemediationDeployment items on this page |
TypedErrorInfo
Scenario specific error details.
| Name | Type | Description |
|---|---|---|
| info |
|
The scenario specific error details. |
| type |
string |
The type of included error details. |